import { Series } from "./Series";
import { IHasCategoryModePreference } from "./IHasCategoryModePreference";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Type, Point } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Rect } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { Geometry } from "igniteui-react-core";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ValueOverlay extends Series implements IHasCategoryModePreference {
    static $t: Type;
    protected bi(): Series;
    constructor();
    wp: Axis;
    w8: number;
    w6: number;
    w7: number;
    w3: number;
    i3(a: Point, b: boolean, c: boolean): number;
    w4(a: Point, b: Point): number;
    v5(a: Point, b: boolean, c: boolean): Point;
    j1(a: Point): number;
    kl(a: Point): any;
    gb(a: any): boolean;
    ax(a: Axis): AxisRange;
    rn(a: boolean): void;
    w5(): number;
    xq(a: number, b: ValueOverlayView): void;
    hc(a: Rect, b: Rect, c: SeriesView): boolean;
    protected sk(a: Rect, b: Rect): void;
    protected sj(a: Rect, b: Rect): void;
    protected o8(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected q4(a: any, b: string, c: any, d: any): void;
    p5(): void;
    o2(a: boolean, b: SeriesView): void;
    private wu;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    get categoryAxis(): CategoryAxisBase;
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    private ws;
    ro(a: Rect, b: RenderSurface): void;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    wt: boolean;
    wr: (item: any) => string;
    x8: Brush;
    x6: Brush;
    wx: number;
    w9: number;
    x7: Brush;
    get x9(): Thickness;
    wz: number;
    w1: number;
    w0: number;
    wy: number;
    w2: number;
    ai(): Axis[];
    private wq;
    private ww;
    private wv;
    protected xr(a: number, b: boolean): void;
    protected get_isValueOverlay(): boolean;
    xm(a: number): string;
    get xo(): string;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ValueOverlayView extends SeriesView {
    static $t: Type;
    constructor(a: ValueOverlay);
    private b2;
    protected bd(): void;
    protected be(): void;
    b1(a: Geometry): void;
    b0(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
